From ceaa74b2ad533c40d1b457a4d462cb5f20f9ced4 Mon Sep 17 00:00:00 2001
From: Coly Li <coly.li@suse.de>
Date: Fri, 12 Mar 2010 14:39:20 +0800
Subject: [PATCH 14/15] dx_dirs: add an initial man page entry for indexed-dirs

This patch add an initial man page entry for indexed-dirs feature
string.

Signed-off-by: Coly Li <coly.li@suse.de>
---
 mkfs.ocfs2/mkfs.ocfs2.8.in |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

diff --git a/mkfs.ocfs2/mkfs.ocfs2.8.in b/mkfs.ocfs2/mkfs.ocfs2.8.in
index e436550..1275ce8 100644
--- a/mkfs.ocfs2/mkfs.ocfs2.8.in
+++ b/mkfs.ocfs2/mkfs.ocfs2.8.in
@@ -175,6 +175,10 @@ and number of inodes (files, directories, symbolic links) each group owns. It is
 to limit the maximum amount of space or inodes user can have. See a documentation of
 quota-tools package for more details.
 .RE
+.TP
+\fBindexed-dirs\fR
+Enable directory indexing support. With this feature enabled, the file system creates indexed tree for non-inline directory entries. For large scale directories, directory entry lookup perfromance from the indexed tree is faster then from the legacy directory blocks.
+.RE
 
 .TP
 \fB\-\-fs\-feature\-level=\fR\fR\fIfeature\-level\fR
-- 
1.6.4.2

